[solved] Problems with Librarys

Hi,

my first post.

First I got to say that Kdenlive is the best Nonlinear Editing Softwarepackage I found for Linux. Thumbs up!
It has many teething problems, yet thought. Ok, but I am confident of this program will get past that phase.

My problem is the following:
Its like Kdenlive can't acces the libmp3lame library. In the renderwindow when i choose mpeg-4 or flash it tells me
"unsupported audio codec: libmp3lame"

Also I can't render to XVid -> "unsupported video codec: libxvid"
And h2.64 is going to tell me -> "unsupported video codec: libx264"

I checked and I got all the asked for libs installed. I tryed to reinstall them... No improvement.

I am working on Ubuntu Maverick Meerkat.

Thx for your replies!

Forums:

Just solved the problem for my own.

I ran the configuration wizzard once more and it detected the missing librarys :)

Hi there, i've got the same problem over here, but i couldn't solve it yet. I've searched for "libmp3lame" at repository and i've only found "libmp3lame0" and "libmp3lame-dev". I've installed the first one, ran the config, and nothing changed.

What package did you use?

I'm running Ubuntu 10.10, too.

thanks!

Hi, i've already solved the problem here, too. never mind.

thanks anyway.

Hello,

It seems like I have the same problem.
Ubuntu 10.04 Lucid.
Kdenlive version 0.8.
I can't render using mp3 audio codec due to the following error: unsupported audio codec libmp3lame.
libmp3lame0(3.98.4) and libmp3lame-dev are installed.
But during the run of config wizard libmp3lame audio codec is not shown.
Could you help please?

P.S. I'm using http://ppa.launchpad.net/sunab/kdenlive-release/ubuntu source

thx.

solved by installing extras.

Under Natty the installation of libavcodec-extra-52 would appear to fix this issue - if you re-run the config wizard afterwards and quit out of any other instances you have of kdenlive that might be running as a different user.

I have the same problem, I can't render in .AVI because of "Unsupported audio codec: libmp3lame"
I installed the lipmp3lame0 package and the ubuntu-restricted-extras but it didn't work neither... (I'm using Ubuntu 10.11 version)
Any ideas? :)
thanks!

As mentionned by ttguy, you should install the libavcodec-extra package, then in Kdenlive, go to "Settings > Run config wizard" to re-detect the available codecs, should solve the problem.

Hi, same problem on Linux Mint 13_64 (mate)

I installed libavcodec-extra-53 and it so fixed :)

Very Happy.

Thanks to all of you

Marcos
Bs. As.
Argentina

Pages